Skip to main content
POST
/
v1
/
edge_connectors
Create edge connector
curl --request POST \
  --url https://api.rootly.com/v1/edge_connectors \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/vnd.api+json' \
  --data '
{
  "data": {
    "type": "edge_connectors",
    "attributes": {
      "name": "<string>",
      "description": "<string>",
      "subscriptions": [
        "<string>"
      ],
      "filters": {
        "group_ids": [
          "<string>"
        ],
        "service_ids": [
          "<string>"
        ],
        "environment_ids": [
          "<string>"
        ],
        "functionality_ids": [
          "<string>"
        ]
      }
    }
  }
}
'
import requests

url = "https://api.rootly.com/v1/edge_connectors"

payload = { "data": {
        "type": "edge_connectors",
        "attributes": {
            "name": "<string>",
            "description": "<string>",
            "subscriptions": ["<string>"],
            "filters": {
                "group_ids": ["<string>"],
                "service_ids": ["<string>"],
                "environment_ids": ["<string>"],
                "functionality_ids": ["<string>"]
            }
        }
    } }
headers = {
    "Authorization": "Bearer <token>",
    "Content-Type": "application/vnd.api+json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
  method: 'POST',
  headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/vnd.api+json'},
  body: JSON.stringify({
    data: {
      type: 'edge_connectors',
      attributes: {
        name: '<string>',
        description: '<string>',
        subscriptions: ['<string>'],
        filters: {
          group_ids: ['<string>'],
          service_ids: ['<string>'],
          environment_ids: ['<string>'],
          functionality_ids: ['<string>']
        }
      }
    }
  })
};

fetch('https://api.rootly.com/v1/edge_connectors', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));



Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

application/vnd.api+json
data
object
required

Response

Edge connector created